Subject: Re: bug#21415: 25.0.50; Emacs Trunk -- pixelwise width/height for x-create-frame

From: martin rudalics <[email-masked]>
Date: Fri, 30 Oct 2015 08:59:47 +0100

> I have attached a fix for the fringe issue. The images were reversed, the
 > background was not transparent (which the rendering code assumed it was),
 > and finally, all images were mirror flipped left-to-right...
 >
 > I have attached a patch for this, please try it out. If possible, try to
 > check if this causes some other image-related problems which I haven't
 > thought of.

Thanks.  Continuation glyphs now look good.  Here on GNUStep the left
fringe occasionally gets clipped, probably by the adjacent scroll bar.
Maybe some "fringe sizes should be multiples of character sizes" issue I
haven't been able to trace yet.  In any case please check in your fix.
Please mention the bug number in ChangeLog and commit message and inform
the OP, possibly closing the bug (I think it's Bug#21301).

Keith - yet another fix you should test ;-)

martin